Debian Bug report logs - #682320
scite: (background?) save fail, resulting in file content loss

version graph

Package: scite; Maintainer for scite is Michael Vogt <mvo@debian.org>; Source for scite is src:scite.

Reported by: Guillaume Dewaele <g.dewaele@hotmail.fr>

Date: Sat, 21 Jul 2012 14:48:01 UTC

Severity: critical

Tags: patch

Found in version scite/3.0.2-2

Fixed in version scite/3.0.2-3

Done: Michael Vogt <mvo@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Michael Vogt <mvo@debian.org>:
Bug#682320; Package scite. (Sat, 21 Jul 2012 14:48:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Guillaume Dewaele <g.dewaele@hotmail.fr>:
New Bug report received and forwarded. Copy sent to Michael Vogt <mvo@debian.org>. (Sat, 21 Jul 2012 14:48:03 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Guillaume Dewaele <g.dewaele@hotmail.fr>
To: <submit@bugs.debian.org>
Subject: scite: (background?) save fail, resulting in file content loss
Date: Sat, 21 Jul 2012 16:40:16 +0200

Package: scite
Version: 3.0.2-2
Severity: critical
Tags: patch
Justification: causes serious data loss

Hi,

  It seems that there is a bug in SciTE 3.0.2 that appears when you're trying to save a file. The * doesn't disappear, and subsequent saving commands report "already saved".

  Unfortunately, that's not the case, and the file after this is completely empty and has a zero byte size.

  Many features of SciTE are not working anymore when this happens (including closing), and if you try to save another file, the result will be the same (file content loss).

  It can happen several times a day, and have quite bad consequences for users...

  It seems that it may be because of threading, and linked to background saving of files.

  The package developpers seem to have a workaround for this: putting___________________
if PLAT_GTK
background.save.size=10000000
___________________
in the global properties file, disabling background saving for files under 10MB

  This should have been also included in 3.0.4, 3.1 and 3.2 versions, I guess.

  Details at: http://sourceforge.net/tracker/?func=detail&aid=3466525&group_id=2439&atid=102439

  Is it possible to at least update the global properties file to avoid that too many people lose their work because of this bug? Thanks in advance



-- System Information:
Debian Release: wheezy/sid
APT prefers unstable
APT policy: (500, 'unstable')
Architecture: i386 (i686)

Kernel: Linux 3.2.0-3-686-pae (SMP w/4 CPU cores)
Locale: LANG=fr_FR.UTF-8, LC_CTYPE=fr_FR.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages scite depends on:
ii libc6 2.13-34
ii libcairo2 1.12.2-2
ii libgcc1 1:4.7.1-5
ii libgdk-pixbuf2.0-0 2.26.1-1
ii libglib2.0-0 2.32.3-1
ii libgtk2.0-0 2.24.10-1
ii libpango1.0-0 1.30.0-1
ii libstdc++6 4.7.1-5

scite recommends no packages.

scite suggests no packages.

-- no debconf information
 		 	   		  


Reply sent to Michael Vogt <mvo@debian.org>:
You have taken responsibility. (Wed, 24 Oct 2012 15:24:05 GMT) Full text and rfc822 format available.

Notification sent to Guillaume Dewaele <g.dewaele@hotmail.fr>:
Bug acknowledged by developer. (Wed, 24 Oct 2012 15:24:05 GMT) Full text and rfc822 format available.

Message #10 received at 682320-close@bugs.debian.org (full text, mbox):

From: Michael Vogt <mvo@debian.org>
To: 682320-close@bugs.debian.org
Subject: Bug#682320: fixed in scite 3.0.2-3
Date: Wed, 24 Oct 2012 15:20:31 +0000
Source: scite
Source-Version: 3.0.2-3

We believe that the bug you reported is fixed in the latest version of
scite, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 682320@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Michael Vogt <mvo@debian.org> (supplier of updated scite package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Wed, 24 Oct 2012 17:02:07 +0200
Source: scite
Binary: scite
Architecture: source amd64
Version: 3.0.2-3
Distribution: unstable
Urgency: low
Maintainer: Michael Vogt <mvo@debian.org>
Changed-By: Michael Vogt <mvo@debian.org>
Description: 
 scite      - Lightweight GTK-based Programming Editor
Closes: 119604 682320 690429
Changes: 
 scite (3.0.2-3) unstable; urgency=low
 .
   [ Michael Vogt ]
   * add missing man-page (closes: #690429)
 .
   [ Antonio Valentino ]
   * install global configuration files under /etc (closes: #119604)
   * disable background save in order to avoid save failures and data
     loss (closes: #682320)
   * Antonio Valentino added to uploaders
Checksums-Sha1: 
 79367a94ece679e74aa1297cf042950f6614b65c 1146 scite_3.0.2-3.dsc
 98bb1b85b2f9a25245991086a160857abded7b41 15764 scite_3.0.2-3.debian.tar.gz
 0063573c2a19f564cbe0dab9933ab81ac3300bfa 1210616 scite_3.0.2-3_amd64.deb
Checksums-Sha256: 
 a6542ece45ee986c90341b4b2c5169a8c5c5655683bb07374f9ed80be10e1e4c 1146 scite_3.0.2-3.dsc
 f144d002d6cea191717777c10e71f621c4195e15a73947007325fcfac6fb054c 15764 scite_3.0.2-3.debian.tar.gz
 c0923e6356f03ee4d3d481d3d58100c0472defa5a6ccc2a496d1cfdcd84f290b 1210616 scite_3.0.2-3_amd64.deb
Files: 
 8a69f857b66b880d7b4b9df3dd686453 1146 editors optional scite_3.0.2-3.dsc
 0433407fcfd1d33ea2080c8c280c24df 15764 editors optional scite_3.0.2-3.debian.tar.gz
 6dd5ef1883c55c492a8692e7aef4e00e 1210616 editors optional scite_3.0.2-3_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iEYEARECAAYFAlCIBTcACgkQliSD4VZixzTHFQCeOgdDwn216i8zubZJQkfY7o2J
NSwAn07G2pJ1yHQ+EKrpgJTIPA1/n3uH
=rsLx
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 03 Dec 2012 07:26:11 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 13:30:50 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.